summaryrefslogtreecommitdiff
path: root/tests/basic.sh
diff options
context:
space:
mode:
authorMathieu Lirzin <mthl@gnu.org>2016-07-03 16:50:27 +0200
committerMathieu Lirzin <mthl@gnu.org>2016-07-03 16:50:27 +0200
commitfe30eb7e82e1cb3c2e3e4071df1f33ef459d9ae2 (patch)
tree6e2794a8fd16fe6598d30da1240d7e63e09fb280 /tests/basic.sh
parent987f83b000bcc0549c685d652fddd8a742ee7dca (diff)
downloadcuirass-fe30eb7e82e1cb3c2e3e4071df1f33ef459d9ae2.tar
cuirass-fe30eb7e82e1cb3c2e3e4071df1f33ef459d9ae2.tar.gz
Add 'basic.sh' test.
Diffstat (limited to 'tests/basic.sh')
-rw-r--r--tests/basic.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/tests/basic.sh b/tests/basic.sh
new file mode 100644
index 0000000..f265958
--- /dev/null
+++ b/tests/basic.sh
@@ -0,0 +1,24 @@
+# basic.sh -- check cuirass basic behavior
+# Copyright © 2016 Mathieu Lirzin <mthl@gnu.org>
+
+# This file is part of Cuirass.
+
+# Cuirass is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# Cuirass is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with Cuirass. If not, see <http://www.gnu.org/licenses/>.
+
+db_file=${testbuilddir}/test.db
+spec_file=${testsrcdir}/hello-subset.scm
+
+trap 'rm -f "$db_file"' EXIT
+
+cuirass --database $db_file --one-shot $spec_file